Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
kyototycoon::TimedDB::UpdateTrigger Class Reference

Interface to trigger update operations. More...

`#include <kttimeddb.h>`

List of all members.

## Public Member Functions
virtual | ~UpdateTrigger ()
| Destructor.
virtual void | trigger (const char *mbuf, size_t msiz)=0
| Trigger an update operation.
virtual void | begin_transaction ()=0
| Begin transaction.
virtual void | end_transaction (bool commit)=0
| End transaction.

## Detailed Description

Interface to trigger update operations.

## Constructor & Destructor Documentation

virtual kyototycoon::TimedDB::UpdateTrigger::~UpdateTrigger | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void kyototycoon::TimedDB::UpdateTrigger::trigger | ( | const char * | mbuf,
|  | size_t | msiz
| ) |  | `[pure virtual]`

Trigger an update operation.

Parameters:

  mbuf | the pointer to the message region.
  msiz | the size of the message region.

virtual void kyototycoon::TimedDB::UpdateTrigger::begin_transaction | ( |  | ) | `[pure virtual]`

Begin transaction.

virtual void kyototycoon::TimedDB::UpdateTrigger::end_transaction | ( | bool | commit | ) | `[pure virtual]`

End transaction.

Parameters:

  commit | true to commit the transaction, or false to abort the transaction.